const { EmbedBuilder, ApplicationCommandType } = require('discord.js');

module.exports = {
    name: 'ban',
    description: "Removes a User from the server until unbanned",
    cooldown: 3000,
    type: ApplicationCommandType.ChatInput,
    default_member_permissions: 'BanMembers', // permission required
    options: [
        {
            name: 'user',
            description: 'The user you want to ban.',
            type: 6,
            required: true
        },
        {
            name: 'reason',
            description: 'Reason for baning the user?',
            type: 3,
            required: false
        }
    ],
    run: async (client, interaction) => {
        const member = interaction.guild.members.cache.get(interaction.options.get('user').value);
        const reason = interaction.options.get('reason').value;
        if (!member.banable) interaction.reply({ content: `Please Put my premission's above this user to ban them.` })
        else {
            if (reason === null) {
                member.ban();
                interaction.reply({ content: `banned ${member} without a reason added.` })
            } else {
                member.ban(`${reason}`);
                interaction.reply({ content: `banned ${member} with reason ${reason}.` })
            }
        }
    }
}

