const { EmbedBuilder, ApplicationCommandType } = require('discord.js');

module.exports = {
    name: 'kick',
    description: "Removes a User from the server but only temporarily ",
    cooldown: 3000,
    type: ApplicationCommandType.ChatInput,
    default_member_permissions: 'KickMembers', // permission required
    options: [
        {
            name: 'user',
            description: 'The user you want to kick.',
            type: 6,
            required: true
        },
        {
            name: 'reason',
            description: 'Reason for kicking the user?',
            type: 3,
            required: false
        }
    ],
    run: async (client, interaction) => {
        const member = interaction.guild.members.cache.get(interaction.options.get('user').value);
        const reason = interaction.options.get('reason').value;
        if (!member.kickable) interaction.reply({ content: `Please Put my premission's above this user to kick them.` })
        else {
            if (reason === null) {
                member.kick();
                interaction.reply({ content: `Kicked ${member} without a reason added.` })
            } else {
                member.kick(`${reason}`);
                interaction.reply({ content: `Kicked ${member} with reason ${reason}.` })
            }

        }
    }
}